import styled from 'styled-components'

export const DialogStyles = styled.div`    
    hr {
        height: 5px;
    }
`

export const DialogButton = styled.button`
    width: auto;
    border-radius: 15px;
    background: #236EB4;
    padding: 1rem;
    margin: 0;
    transition: 200ms ease;
    color: #ffffff;
    transform: scale(0.9);
    border: none;
    cursor: pointer;

    @media(min-width: 900px) {
        width: auto;
    }

    @media(min-width: 1800px) {
        width: auto;
    }

    &:hover {
        background: #236EB4;        
        transform: scale(1);
    }

    &:focus {
        outline: none;
    }

    img {
        width: 100%;        
    }

    ${props => props.clicked? "filter: grayscale(100%)": ""};
`

export const CloseButton = styled.button`
    background: transparent;
    border: none;
    
    &:focus {
        outline: none;
    }

    img {
        width: 2rem;
    }
`