import React from 'react'

import RoundButton from '../RoundButton'

import { Toolbar, useMediaQuery } from '@material-ui/core'
import { Footer } from './styles'

import marcas from '../../assets/images/logos.png'
import Dialog from '../Dialog'

export default function (props) {
  const { replay, prev, next, logos, color, important } = props
  const web = useMediaQuery('(min-width: 900px)')

  	return (
    <>
      {
        logos
          ? <Footer color={color} logos>
            <img src={marcas} alt='Instituições responsáveis pelo curso' />
          </Footer>
          :			<Footer color={color}>
            <Toolbar>
              {
                important
                  ? 
                  <Dialog important title='IMPORTANTE' content='Nem todos os procedimentos preconizados podem ser realizados na USF. Nestes casos, após prestar os primeiros cuidados, o dentista deverá encaminhar o paciente para o Centro de Especialidades Odontológicas (CEO).' />
                  : <></>

              }
              {
                replay
                  ? <RoundButton type='replay' to={replay} />
                  :						<RoundButton disabled />
              }
              {
                web
                  ? <>
                    <div className='middlebutton'>
                      {
                        prev
                          ? <RoundButton type='previous' to={prev} />
                          :									<RoundButton type='previous' opacity />
                      }
                      {
                        next
                          ? <RoundButton type='next' to={next} margin />
                          :									<RoundButton type='next' opacity margin />
                      }
                    </div>
                    <div className='placeholder'>
                      <RoundButton disabled />
                    </div>
                  </>
                  :					<>
                    <div className='endbutton'>
                      {
                        prev
                          ? <RoundButton type='previous' to={prev} />
                          :									<RoundButton type='previous' opacity />
                      }
                      {
                        next
                          ? <RoundButton type='next' to={next} margin />
                          :									<RoundButton type='next' opacity margin />
                      }
                    </div>
                        </>
              }
            </Toolbar>
              </Footer>
      }
    </>
  	)
}
