import React from 'react'
import { Link } from 'react-router-dom'
import styled from 'styled-components'

const StyledReference = styled(Link)`
    color: ${props => props.theme.palette.primary.dark};
    font-weight: 900;
    transition: 250ms;

    :hover {
      background-color: ${props => props.theme.palette.primary.dark};
      color: ${props => props.theme.palette.background.main};
    }
`

export default function(props) {
    const { num, onClick } = props  
  
    return (
      <StyledReference replace onClick={onClick}>
          <sup>{num}</sup>
      </StyledReference>
    )
  }