import React, { useState } from 'react'
import { Box, Typography } from '@material-ui/core'
import { Container } from './styles'

import RoundButton from '../../components/RoundButton'

export default function (props) {
  const { Conteudo } = props
  const objectSize = Conteudo.length - 1
  const [exibirConteudo, setExibirConteudo] = useState(0)
  const [page, setPage] = useState(0)

  return (
    <Container>
      <Box className='content'>
        <Box className='contentBox'>
          <Box className='button prev'>
            {exibirConteudo === 0
              ? <RoundButton type='previous' disabled />
              : <RoundButton type='previous' onClick={() => [setPage(page - 1), setExibirConteudo(page - 1)]} />}
          </Box>
          <img src={Conteudo[exibirConteudo].img} className='img' alt='' />
          <Typography variant='body1' className='indented'>
            {Conteudo[exibirConteudo].text}
          </Typography>
          <Box className='button next'>
            {exibirConteudo === objectSize
              ? <RoundButton type='next' disabled />
              : <RoundButton type='next' onClick={() => [setPage(page + 1), setExibirConteudo(page + 1)]} />}
          </Box>
        </Box>
      </Box>
    </Container>
  )
}
