import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

import imagem from '../../assets/imagens/img4.png'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Box id='box-right'>
              <Box id='right-sup'>
                <Typography variant='h6' id='title-right'>
                ACHADOS CLÍNICOS
                </Typography>
                <Typography variant='body1' id='content-right'>
                  O dente se encontrará deslocado, geralmente no sentido palatino/lingual ou labial.
                  <br /><br />O dente estará imóvel e apresentará um som metálico à percussão (dente travado no osso), semelhante aos casos de anquilose.
                  <br /><br />Fratura do processo alveolar presente.
                  <br /><br />Testes de sensibilidade pulpar apresentam resultados negativos.
                </Typography>
              </Box>
              <Box id='right-inf'>
                <Typography variant='h6' id='title-right'>
                  ACHADOS RADIOGRÁFICOS
                </Typography>
                <Typography variant='body1' id='content-right'>
                  Aumento do espaço do ligamento
                  periodontal é observado em
                  exposições radiográficas oclusais
                  ou periapicais excêntricas.
                </Typography>
              </Box>
            </Box>
            <Box id='box-middle'>
              <Typography variant='h6' id='title-middle'>
              Luxação Lateral
              </Typography>
              <Box id='img'>
                <img src={imagem} alt='concussão' />
              </Box>
            </Box>
            <Box id='box-left'>
              <Typography variant='h6' id='title-left'>
                TRATAMENTO
              </Typography>
              <Typography variant='body1' id='content-left'>
                Reposicionar o dente
                digitalmente ou com fórceps
                para deslocá-lo do osso e
                reposicioná-lo suavemente
                em seu local de origem.
                <br /><br />Estabilizar o dente durante
                4 semanas, utilizando uma
                contenção flexível.
                <br /><br />Monitorar a vitalidade pulpar
                (rompimento de feixe
                neurovascular da polpa).
                <br /><br />Se ocorrer a necrose pulpar,
                o tratamento endodôntico
                é indicado para evitar a
                reabsorção radicular.
              </Typography>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' next='/p11' />
    </StyledContainer>
  )
}
