import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Typography variant='h6' id='title'>
                Achados Radiográficos
            </Typography>
            <Typography variant='body1' id='texto'>
            Rotineiramente, alterações radiográficas não são encontradas.
            </Typography>
          </Box>
          <Box className='content'>
            <Typography variant='h6' id='title'>
                Tratamento
            </Typography>
            <Typography variant='body1' id='texto'>
            Normalmente, nenhum tratamento é necessário. No entanto, em caso de mobilidade acentuada, uma contenção flexível para estabilizar o elemento dentário e proporcionar conforto ao paciente pode ser indicada por até 2 semanas.
            </Typography>
          </Box>
          <Box className='content content-3'>
            <Typography variant='h6' id='title'>
                Acompanhamento
            </Typography>
            <Typography variant='body1' id='texto'>
            Realizar exame clínico e radiográfico em:
              <br />2 semanas
              <br />4 semanas
              <br />6-8 semanas
              <br />6 meses
              <br />1 ano
              <br /><br />Realizar remoção de contenção em:
              <br />2 semanas
            </Typography>
          </Box>
          <Box id='barras'>
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOn' id='barra-espaço' />
            <Box className='barra-inferior barraOff' />
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' prev='/p9Mobile' next='/p11Mobile' />
    </StyledContainer>
  )
}
