import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

export default function () {

  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Box className='panel'>
              <Box className='extended-content'>
                <Box className='header'>
                  <Typography variant='body1'>Acompanhamento</Typography>
                </Box>
                <Box className='topic'>
                  <Box id='content-superior'>
                    <Box id='superior-left'>
                      <Box id='texto-box'>
                        <Typography variant='body1' id='texto'>
                          Realizar exame clínico e radiográfico em:
                        </Typography>
                        <Box id='lista'>
                          <Box>
                            <Typography variant='body1' id='texto'>
                              <span>•</span> 2 semanas
                            </Typography>
                            <Typography variant='body1' id='texto'>
                              <span>•</span> 4 semanas
                            </Typography>
                            <Typography variant='body1' id='texto'>
                              <span>•</span> 6-8 semanas
                            </Typography>
                          </Box>
                          <Box>
                            <Typography variant='body1' id='texto'>
                              <span>•</span> 1 ano
                            </Typography>
                            <Typography variant='body1' id='texto'>
                              <span>•</span> Anualmente por 5 anos
                            </Typography>
                          </Box>
                        </Box>
                      </Box>
                    </Box>
                    <Box id='superior-right'>
                      <Typography variant='body1' id='texto'>
                        Realizar remoção de contenção em:
                      </Typography>
                      <Box id='lista'>
                        <Box>
                          <Typography variant='body1' id='texto'>
                            <span>•</span> 4 semanas
                          </Typography>
                        </Box>
                      </Box>
                    </Box>
                  </Box>
                </Box>
              </Box>
            </Box>
            <Box className='panel2'>
              <Box className='extended-content'>
                <Box className='header'>
                  <Typography variant='body1'>Consultas de acompanhamento</Typography>
                </Box>
                <Box className='topic'>
                  <Typography variant='body1' id='frase'>
                  Verifique os prognósticos favoráveis e desfavoráveis de acordo com as ocorrências nas consultas de acompanhamento:
                  </Typography>
                  <Box id='box-content'>
                    <Box id='content-left'>
                      <Box>
                        <Typography variant='body1' id='textoAzul'>
                          Prognóstico Favorável:
                        </Typography>
                        <Typography variant='body1' id='texto'>
                          <span>•</span> Ausência de sintomatologia.
                        </Typography>
                        <Typography variant='body1' id='texto'>
                          <span>•</span> Sinais clínicos e radiográficos normais ou em processo de reparo periodontal.
                        </Typography>
                        <Typography variant='body1' id='texto'>
                          <span>•</span> Resposta pulpar positiva aos testes de sensibilidade (resultados falso negativos podem ser observados até 3 meses).
                        </Typography>
                        <Typography variant='body1' id='texto'>
                          <span>•</span> Altura do osso marginal deverá corresponder à mesma observada radiograficamente após o reposicionamento.
                        </Typography>
                        <Typography variant='body1' id='texto'>
                          <span>•</span> Continuidade da formação radicular, nos casos de dentes com rizogênese incompleta.
                        </Typography>
                      </Box>
                    </Box>
                    <Box id='separador' />
                    <Box id='content-right'>
                      <Typography variant='body1' id='textoAzul'>
                      Prognóstico Desfavorável (ao longo do tempo):
                      </Typography>
                      <Typography variant='body1' id='texto'>
                        <span>•</span> Sintomas e sinais radiográficos consistentes com lesão periapical.
                      </Typography>
                      <Typography variant='body1' id='texto'>
                        <span>•</span> Resposta negativa aos testes de sensibilidade (resultados falso negativos podem ser observados até 3 meses).
                      </Typography>
                      <Typography variant='body1' id='texto'>
                        <span>•</span> Se a integridade do osso marginal for perdida, realizar contenção adicional por 3-4 semanas.
                      </Typography>
                      <Typography variant='body1' id='texto'>
                        <span>•</span> Reabsorção radicular inflamatória externa ou reabsorção por substituição.
                      </Typography>
                      <Typography variant='body1' id='texto'>
                        <span>•</span> Indicação de terapia endodôntica apropriada, de acordo com o estágio de desenvolvimento radicular.
                      </Typography>
                    </Box>
                  </Box>
                </Box>
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev='/p10' replay='/p3' />
    </StyledContainer>
  )
}
