import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

import imagem from '../../assets/imagens/img5.png'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Box id='box-right'>
              <Box id='right-sup'>
                <Typography variant='h6' id='title-right'>
                ACHADOS CLÍNICOS
                </Typography>
                <Typography variant='body1' id='content-right'>
                  Dente deslocado axialmente em
                  <br />direção ao interior do alvéolo.
                  <br /><br />Dente imóvel e à percussão
                  <br />apresentará um som metálico
                  <br />(dente travado no osso),
                  <br />semelhante aos casos de
                  <br />anquilose.
                  <br /><br />Testes de sensibilidade pulpar
                  <br />com resultados negativos.
                </Typography>
              </Box>
            </Box>
            <Box id='box-middle'>
              <Typography variant='h6' id='title-middle'>
                Luxação Intrusiva
              </Typography>
              <Box id='img'>
                <img src={imagem} alt='concussão' />
              </Box>
            </Box>
            <Box id='box-left'>
              <Typography variant='h6' id='title-left'>
              ACHADOS RADIOGRÁFICOS
              </Typography>
              <Typography variant='body1' id='content-left'>
              O espaço do ligamento
              <br />periodontal pode estar ausente
              <br />em parte ou em toda a porção
              <br />radicular.
              <br /><br />Junção cemento-esmalte
              <br />localizada mais apicalmente no
              <br />dente intruído, em comparação
              <br />aos dentes adjacentes, às vezes
              <br />abaixo do nível do osso marginal.
              </Typography>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' next='/p13' />
    </StyledContainer>
  )
}
