import styled from "styled-components"
import { Box } from "@material-ui/core"

import {
  animationstyles,
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles"

export const StyledContainer = styled(Box)`
  ${animationstyles};
  ${containerstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;

  img{
    max-width: 100%;
  }
  ${contentstyles};

  span{
    color: #236EB4;
    font-weight: bold;
  }

  .content {
    @media(min-width: 900px) {
      display: flex;
      justify-content: space-around;
      align-items: center;
    }      
  }
  #box-left{
    border: solid 2px #236EB4;
    border-radius: 15px;
    align-self: flex-start;
    padding: 1rem;
    width: 27vw;
    height: auto;
  }
  #title-left{
    color: #236EB4;
  }

  #content-left{
    line-height: 1;
  }
  #box-middle{
    border: solid 2px #236EB4;
    border-radius: 15px;
    width: 27vw;
    display: flex;
    flex-direction: column;
    height: 100%;
    align-items: center;
    background: #BED8E9;
  }
  #img{
    width: 70%;
  }
  #title-middle{
    background: #236EB4;
    color: #ffffff;
    text-align: center;
    border-radius: 13px 13px 0 0;
    padding: 1rem;
    width: 100%;

  }
  #box-right{
    display: flex;
    flex-direction: column;
    width: 27vw;
    height: 100%;
    justify-content: space-between;
  }
  #right-sup{
    border: solid 2px #236EB4;
    border-radius: 15px;
    padding: 1rem;
    width: 100%;
    height:auto;
  }
  #right-inf{
    border: solid 2px #236EB4;
    border-radius: 15px;
    padding: 1rem;
    width: 100%;
    height: 29.5%;
  }
  #title-right{
    color: #236EB4;
  }

  #content-right{
    line-height: 1;
  }

  
`
