import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

import imagem from '../../assets/imagens/img5.png'

export default function () {
  return (
    <StyledContainer>
      <Header/>
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Box id='box-right'>
              <Box id='right-sup'>
                <Typography variant='h6' id='title-right'>
                TRATAMENTO EM DENTES COM RIZOGÊNESE INCOMPLETA:
                </Typography>
                <Typography variant='body1' id='content-right'>
                  Permitir a reerupção sem
                  intervenção.
                  <br /><br />Se nenhum movimento for
                  observado dentro de poucas
                  semanas, iniciar o
                  reposicionamento ortodôntico.
                  <br /><br />Se o dente intruiu mais do que 7mm, 
                  reposicionar cirurgicamente
                  ou ortodonticamente.
                </Typography>
              </Box>
            </Box>
            <Box id='box-middle'>
              <Typography variant='h6' id='title-middle'>
                Luxação Intrusiva
              </Typography>
              <Box id='img'>
                <img src={imagem} alt='concussão' />
              </Box>
            </Box>
            <Box id='box-left'>
              <Typography variant='h6' id='title-left'>
              TRATAMENTO EM DENTES COM RIZOGÊNESE COMPLETA:
              </Typography>
              <Typography variant='body1' id='content-left'>
                Permitir reerupção em dentes que
                intruíram menos que 3mm. Sem
                movimentação após 2-4 semanas:
                reposicionar com cirurgia ou ortodontia,
                antes de uma anquilose.
                <br /><br />Se o dente intruiu mais que 7mm,
                reposicionar cirurgicamente.
                <br /><br />A polpa sofrerá necrose em dentes
                com rizogênese completa. Assim, o
                tratamento endodôntico com utilização
                de hidróxido de cálcio é recomendado.
                <br /><br />Início do tratamento: 2-3 semanas após
                a cirurgia de reposicionamento.
                <br /><br />Em caso de reposição cirúrgica ou
                ortodôntica do dente, realizar contenção
                flexível durante 4-8 semanas.
              </Typography>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' prev='/p12' next='/p14' />
    </StyledContainer>
  )
}
