import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Typography variant='h6' id='title'>
                Achados Radiográficos
            </Typography>
            <Typography variant='body1' id='texto'>
              Aumento do espaço do ligamento periodontal apical.
            </Typography>
          </Box>
          <Box className='content'>
            <Typography variant='h6' id='title'>
                Tratamento
            </Typography>
            <Typography variant='body1' id='texto'>
            Reposicionar o dente, inserindo-o delicadamente no alvéolo.
              <br /><br />Estabilizar o dente por 2 semanas usando contenção flexível.
              <br /><br />O tratamento endodôntico é indicado em dentes com rizogênese completa ou incompleta, nos quais a necrose pulpar ocorre precocemente por rompimento do suprimento neurovascular da polpa ou quando os sinais e sintomas indicarem necrose pulpar.
            </Typography>
          </Box>
          <Box className='content content-3'>
            <Typography variant='h6' id='title'>
                Acompanhamento
            </Typography>
            <Typography variant='body1' id='texto'>
            Realizar exame clínico e radiográfico em:
              <br />2 semanas
              <br />4 semanas
              <br />6-8 semanas
              <br />6 meses
              <br />1 ano
              <br />Anualmente por 5 anos
              <br /><br />Realizar remoção de contenção em:
              <br />2 semanas
            </Typography>
          </Box>
          <Box id='barras'>
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOn' id='barra-espaço' />
            <Box className='barra-inferior barraOff' />
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' prev='/p13Mobile' next='/p15Mobile' />
    </StyledContainer>
  )
}
