import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
  .container {
    @media (max-width: 750px) {
      height: 80%;
    }
  }
`;

export const Content = styled(Box)`
  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  ${contentstyles};

  img {
    max-width: 100%;
  }

  .content {
    flex-grow: 1;
    display: block;
    @media (min-width: 900px) {
      display: flex;
      justify-content: center;
      flex-direction: column;
    }
  }

  .text {
    margin-bottom: 1rem;
    padding: 1rem;
    border-radius: 15px;
    width: 100%;
    background: #bed8e9;

    @media (min-width: 900px) {
      width: 55vw;
      display: flex;
      align-self: center;
      align-items: center;
      flex-direction: column;
      margin-bottom: 1rem;
    }
  }
  .question {
    width: 100%;
    height: auto;
    @media (max-width: 750px) {
      height: auto;
      margin-bottom: 1vh;
    }
  }
  .titulo {
    color: #236eb4;
    font-weight: bold;
    text-transform: uppercase;
    margin: 0.5vh;
  }
  .objetivo {
    margin-bottom: 0.5vh;
  }
  .enunciado {
    margin-bottom: 0.5vh;
  }
  .clique {
    cursor: pointer;
    :hover {
      background: #e5e5e5;
    }
  }
  .alternativas {
    display: flex;
    flex-direction: column;
    list-style: none;

    margin-top: 0.5rem;
    margin-bottom: 0;
  }

  .alternativa {
    background: #a7c5d9;
    border-radius: 15px;
    padding: 2vh;
    display: flex;
    margin-bottom: 1vh;
    margin-right: 1rem;
    cursor: ${(props) => (props.Done ? "default" : "pointer")};
    :hover {
      background: ${(props) => (props.Done ? "#a7c5d9" : "#93aebf")};
    }
  }
  .alternativaMarcada {
    background: #8097A6;
    border-radius: 15px;
    padding: 2vh;
    display: flex;
    margin-bottom: 1vh;
    margin-right: 1rem;
    cursor: ${(props) => (props.Done ? "default" : "pointer")};
  }
  .enviar {
    display: flex;
    justify-content: center;
    position: relative;
    top: -1vh;
  }
`;
export const Correta = styled.p`
  background: #2a9600;
  padding: 1vw;
  color: white;
`;
export const Errada = styled.p`
  background: #f70000;
  padding: 1vw;
  color: white;
`;
