import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Typography variant='h6' id='title'>
                Achados Radiográficos
            </Typography>
            <Typography variant='body1' id='texto'>
            Aumento do espaço do ligamento periodontal é observado em exposições radiográficas oclusais ou periapicais excêntricas.
            </Typography>
          </Box>
          <Box className='content'>
            <Typography variant='h6' id='title'>
                Tratamento
            </Typography>
            <Typography variant='body1' id='texto'>
            Reposicionar o dente digitalmente ou com fórceps para deslocá-lo do osso e reposicioná-lo suavemente em seu local de origem.
              <br /><br />Estabilizar o dente durante 4 semanas, utilizando uma contenção flexível.
              <br /><br />Monitorar a vitalidade pulpar (rompimento de feixe neurovascular da polpa).
              <br /><br />Se ocorrer a necrose pulpar, o tratamento endodôntico é indicado para evitar a reabsorção radicular.
            </Typography>
          </Box>
          <Box className='content content-3'>
            <Typography variant='h6' id='title'>
                Acompanhamento
            </Typography>
            <Typography variant='body1' id='texto'>
                  Realizar exame clínico e radiográfico em:
              <br />2 semanas
              <br />4 semanas
              <br />6-8 semanas
              <br />1 ano
              <br />Anualmente por 5 anos
              <br /><br />Realizar remoção de contenção em:
              <br />4 semanas
            </Typography>
          </Box>
          <Box id='barras'>
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOn' id='barra-espaço' />
            <Box className='barra-inferior barraOff' />
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' prev='/p17Mobile' next='/p19Mobile' />
    </StyledContainer>
  )
}
