import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Typography variant='h6' id='title'>
                Consultas de acompanhamento
            </Typography>
            <Typography variant='body1' id='texto'>
                  Verifique os prognósticos favoráveis e desfavoráveis de acordo com as ocorrên- cias nas consultas de acompanhamento:
              <br /><br /><span>Prognóstico Favorável:</span>
              <br /><span>•</span> Ausência de sintomatologia.
              <br /><span>•</span> Sinais clínicos e radiográficos normais ou em processo de reparo periodontal.
              <br /><span>•</span> Resposta pulpar positiva aos testes de sensibilidade (resultados falso negativos podem ser observados até 3 meses).
              <br /><span>•</span> Altura do osso marginal deverá corresponder à mesma observada radiograficamente após o reposicionamento.
              <br /><span>•</span> Continuidade da formação radicular, nos casos de dentes com rizogênese incompleta.

              <br /><br /><span>Prognóstico Desfavorável (ao longo do tempo):</span>
              <br /><span>•</span> Sintomas e sinais radiográficos consistentes com lesão periapical.
              <br /><span>•</span> Resposta negativa aos testes de sensibilidade (resultados falso negativos podem ser observados até 3 meses).
              <br /><span>•</span> Se a integridade do osso marginal for perdida, realizar contenção adicional por 3-4 semanas.
              <br /><span>•</span> Reabsorção radicular inflamatória externa ou reabsorção por substituição.
              <br /><span>•</span> Indicação de terapia endodôntica apropriada, de acordo com o estágio de desenvolvimento radicular.
            </Typography>
          </Box>
          <Box id='barras'>
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOn' />
          </Box>
        </Content>
      </Box>
      <Footer prev='/p18Mobile' replay='/p3' />
    </StyledContainer>
  )
}
