import React, { useRef } from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'
import Reference from '../../components/Reference'

import { Content, StyledContainer } from './styles'

export default function () {
  const headerref = useRef(Header)

  const openRef = (key) => {
    if (!headerref.current) {
      return
    }

    headerref.current.openRef(key)
  }

  return (
    <StyledContainer>
      <Header ref={headerref}/>
      <Box className='container'>
        <Content>
          <Box className='title'>
            <Typography variant='h5'>APRESENTAÇÃO</Typography>
          </Box>
          <Box className='content'>
            <Box className='text'>
              <Typography variant='body1' className='indented'>
                Olá, aluna(o)!
                <br /><br />
              </Typography>
              <Typography variant='body1' className='indented'>
                As lesões de luxação, lesões dos tecidos periodontais, possuem diretrizes desenvolvidas pela International Association of Dental Traumatology (IADT) para seu manejo na dentição permanente. As diretrizes foram desenvolvidas com base em ampla revisão de literatura e, para os casos em que os dados obtidos não foram conclusivos, as recomendações foram baseadas na opinião consensual do grupo de trabalho, seguida por revisão criteriosa realizada pelos membros do conselho de diretores da IADT<Reference num='1' onClick={() => openRef(1)} />. Neste recurso serão apresentadas todas as diretrizes a partir da imagem de cada tipo de luxação.<br /><br />
              </Typography>
              <Typography variant='body1' className='indented'>
              Ao final deste recurso você será capaz de reconhecer a classificação das luxações na dentição permanente, bem como o tratamento e prognóstico em cada situação.<br /><br />
              </Typography>
              <Typography variant='body1' className='indented'>
                Bons estudos!
              </Typography>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer next='/p3' />
    </StyledContainer>
  )
}
