import styled from 'styled-components'
import { Box } from '@material-ui/core'

import { containerstyles, contentstyles, fontstyles } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;  
  }

  .text {
    flex-grow: 1;
    display: block;
    
    margin-bottom: 1rem;

    @media(min-width: 900px) {
      margin-bottom: 0;
      display: flex;
      flex-direction: column;
    }    
  }
  .title{
    display: flex;
    justify-content: center;
    font-weight: bolder;
    color: ${props => props.theme.palette.header.main};
    h5{
      font-weight: bolder;
    }
  } 
`
