import styled from "styled-components"
import { Box } from "@material-ui/core"

import {
  animationstyles,
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles"

export const StyledContainer = styled(Box)`
  ${animationstyles};
  ${containerstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  position: relative;
  padding-top: 1rem;
  img{
    max-width: 100%;
  }
  ${contentstyles};
  span{
    color: #236EB4;
    font-weight: bold;
  }

  .content {
    position: relative;
    border: solid 2px #236EB4;
    border-radius: 15px;
    width: 100%;
    height: 90%;
    background: #BED8E9;  
  }
  #img{
    width: 90%;
    margin: 0 auto;
  }
  #title{
    background: #236EB4;
    color: #ffffff;
    text-align: center;
    border-radius: 13px 13px 0 0;
    padding: 1rem;
    width: 100%;
  }
  #barras{
    margin-top: 10%;
    width: 100%;
    display: inline-block;
    position: absolute;
    bottom: 2vh;
  }
  .barra-inferior{
    width: 22%;
    height: 5px;
    float: left;
  }
  #barra-espaço{
    margin-right: 4%;
  }
  .barraOn{
    background: #236EB4
  }
  .barraOff{
    background: #B2B2B2
  }
  
`
