import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Typography variant='h6' id='title'>
                Achados Clínicos
            </Typography>
            <Typography variant='body1' id='texto'>
            Dente deslocado axialmente em direção ao interior do alvéolo.
              <br /><br />Dente imóvel e à percussão apresentará um som metálico (dente travado no osso), semelhante aos casos de anquilose.
              <br /><br />Testes de sensibilidade pulpar com resultados negativos.
            </Typography>
          </Box>
          <Box className='content'>
            <Typography variant='h6' id='title'>
              Achados Radiográficos
            </Typography>
            <Typography variant='body1' id='texto'>
              O espaço do ligamento periodontal pode estar ausente em parte ou em toda a porção radicular.
              <br /><br />Junção cemento-esmalte localizada mais apicalmente no dente intruído, em comparação aos dentes adjacentes, às vezes abaixo do nível do osso marginal.
            </Typography>
          </Box>
          <Box id='barras'>
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOn' id='barra-espaço' />
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOff' />
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' prev='/p20Mobile' next='/p22Mobile' />
    </StyledContainer>
  )
}
