import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Typography variant='h6' id='title'>
              Tratamento Em Dentes Com Rizogênese Incompleta:
            </Typography>
            <Typography variant='body1' id='texto'>
              Permitir a reerupção sem intervenção.
              <br /><br />Se nenhum movimento for observado dentro de poucas semanas, iniciar o reposicionamento ortodôntico.
              <br /><br />Se o dente intruiu mais do que 7mm, reposicionar cirurgicamente ou ortodonticamente.
            </Typography>
          </Box>
          <Box className='content'>
            <Typography variant='h6' id='title'>
              Tratamento Em Dentes Com Rizogênese Completa:
            </Typography>
            <Typography variant='body1' id='texto'>
            Permitir reerupção em dentes que intruíram menos que 3mm. Sem movimentação após 2-4 semanas: reposicionar com cirurgia ou ortodontia, antes de uma anquilose.

              <br /><br />Se o dente intruiu mais que 7mm, reposicionar cirurgicamente.
              <br /><br />A polpa sofrerá necrose em dentes com rizogênese completa. Assim, o tratamento endodôntico com utilização de hidróxido de cálcio é recomendado.
              <br /><br />Início do tratamento: 2-3 semanas após a cirurgia de reposicionamento.
              <br /><br />Em caso de reposição cirúrgica ou ortodôntica do dente, realizar contenção flexível durante 4-8 semanas.
            </Typography>
          </Box>
          <Box className='content content-3'>
            <Typography variant='h6' id='title'>
                Acompanhamento
            </Typography>
            <Typography variant='body1' id='texto'>
                  Realizar exame clínico e radiográfico em:
              <br />2 semanas
              <br />4 semanas
              <br />6-8 semanas
              <br />6 meses
              <br />1 ano
              <br />Anualmente por 5 anos

              <br /><br />Realizar remoção de contenção em:
              <br />4 semanas
            </Typography>
          </Box>
          <Box id='barras'>
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOn' id='barra-espaço' />
            <Box className='barra-inferior barraOff' />
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' prev='/p21Mobile' next='/p23Mobile' />
    </StyledContainer>
  )
}
