import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Typography variant='h6' id='title'>
                Consultas de acompanhamento
            </Typography>
            <Typography variant='body1' id='texto'>
            Verifique os prognósticos favoráveis e desfavoráveis de acordo com as ocorrências nas consultas de acompanhamento:
              <br /><br /><span>Prognóstico Favorável:</span>
              <br /><span>•</span> Dente no local adequado ou em reerupção.
              <br /><span>•</span> Lâmina dura intacta.
              <br /><span>•</span> Ausência de sinais de reabsorção.
              <br /><span>•</span> Continuidade da formação radicular, nos casos de dentes com rizogênese incompleta.

              <br /><br /><span>Prognóstico Desfavorável (ao longo do tempo):</span>
              <br /><span>•</span> Dente anquilosado.
              <br /><span>•</span> Sintomas e sinais radiográficos consistentes com lesão periapical.
              <br /><span>•</span> Reabsorção radicular inflamatória externa ou reabsorção por substituição.
              <br /><span>•</span> Indicação de terapia endodôntica apropriada, de acordo com o estágio de desenvolvimento radicular.

            </Typography>
          </Box>
          <Box id='barras'>
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOn' />
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' prev='/p22Mobile' />
    </StyledContainer>
  )
}
