import React, { useRef, useEffect, useState } from 'react'
import { Typography, Box, useMediaQuery } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'
import img1 from '../../assets/imagens/img1.png'
import img2 from '../../assets/imagens/img2.png'
import img3 from '../../assets/imagens/img3.png'
import img4 from '../../assets/imagens/img4.png'
import img5 from '../../assets/imagens/img5.png'

import { Content, StyledContainer } from './styles'
import Reference from '../../components/Reference'


export default function () {
  
  const web = useMediaQuery('(min-width: 900px)')
  const [denteAtivo0, setDenteAtivo0] = useState(false)
  const [denteAtivo1, setDenteAtivo1] = useState(false)
  const [denteAtivo2, setDenteAtivo2] = useState(false)
  const [denteAtivo3, setDenteAtivo3] = useState(false)
  const [denteAtivo4, setDenteAtivo4] = useState(false)

  const Refresh = (page) => {
    switch (page) {
      case 0:
        window.localStorage.setItem('dente0', true)
        break
      case 1:
        window.localStorage.setItem('dente1', true)
        break
      case 2:
        window.localStorage.setItem('dente2', true)
        break
      case 3:
        window.localStorage.setItem('dente3', true)
        break
      case 4:
        window.localStorage.setItem('dente4', true)
        break
      default:
        break
    }
  }

  useEffect(() => {
    for (let i = 0; i <= 4; i++) {
      if (window.localStorage.getItem('dente0') === 'true') {
        setDenteAtivo0(true)
      }
      if (window.localStorage.getItem('dente1') === 'true') {
        setDenteAtivo1(true)
      }
      if (window.localStorage.getItem('dente2') === 'true') {
        setDenteAtivo2(true)
      }
      if (window.localStorage.getItem('dente3') === 'true') {
        setDenteAtivo3(true)
      }
      if (window.localStorage.getItem('dente4') === 'true') {
        setDenteAtivo4(true)
      }
    }
  }, [])

  const headerref = useRef(Header)

  const openRef = (key) => {
    if (!headerref.current) {
      return
    }

    headerref.current.openRef(key)
  }

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className='container'>
        <Content denteAtivo0={denteAtivo0} denteAtivo1={denteAtivo1} denteAtivo2={denteAtivo2} denteAtivo3={denteAtivo3} denteAtivo4={denteAtivo4}>
          <Box className='content'>
            <Box className='text'>
              <Typography variant='body1' className='indented'>
                Nas imagens abaixo, vemos os tipos de lesões de luxação em dentes permanentes, e ao clicar nas imagens, você conhecerá as diretrizes da IADT<Reference num='1' onClick={() => openRef(1)} /> indicando como o cirurgião-dentista deve realizar a assistência à urgência odontológica apresentada:
              </Typography>
            </Box>
            {web
              ? <Box id='menu-desktop'>
                <Box onClick={() => [window.location.href = '#/p4', Refresh(0)]} className='box-img' id='dente0'>
                  <img src={img1} alt='img1' />
                  <Typography variant='body1' className='legenda'>
                  Concussão
                  </Typography>
                </Box>
                <Box onClick={() => [window.location.href = '#/p6', Refresh(1)]} className='box-img' id='dente1'>
                  <img src={img2} alt='img2' />
                  <Typography variant='body1' className='legenda'>
                  Subluxação
                  </Typography>
                </Box>
                <Box className='box-img' id='dente2' onClick={() => [window.location.href = '#/p8', Refresh(2)]}>
                  <img src={img3} alt='img3' />
                  <Typography variant='body1' className='legenda'>
                  Luxação Extrusiva
                  </Typography>
                </Box>
                <Box className='box-img' id='dente3'>
                  <img src={img4} alt='img4' onClick={() => [window.location.href = '#/p10', Refresh(3)]} />
                  <Typography variant='body1' className='legenda'>
                  Luxação Lateral
                  </Typography>
                </Box>
                <Box className='box-img' id='dente4' onClick={() => [window.location.href = '#/p12', Refresh(4)]}>
                  <img src={img5} alt='img5' />
                  <Typography variant='body1' className='legenda'>
                  Luxação Intrusiva
                  </Typography>
                </Box>
              </Box>
              : <Box id='menu-mobile'>
                <Box id='mobile-superior'>
                  <Box id='dente0' className='box-img-mobile' onClick={() => [window.location.href = '#/p4Mobile', Refresh(0)]}>
                    <img src={img1} alt='img1' />
                    <Typography variant='body1' className='legenda-mobile'>
                    Concussão
                    </Typography>
                  </Box>
                  <Box id='dente1' className='card-superior-meio box-img-mobile' onClick={() => [window.location.href = '#/p8Mobile', Refresh(1)]}>
                    <img src={img2} alt='img2' />
                    <Typography variant='body1' className='legenda-mobile'>
                    Subluxação
                    </Typography>
                  </Box>
                  <Box id='dente2' className='box-img-mobile' onClick={() => [window.location.href = '#/p12Mobile', Refresh(2)]}>
                    <img src={img3} alt='img3' />
                    <Typography variant='body1' className='legenda-mobile'>
                    Luxação Extrusiva
                    </Typography>
                  </Box>
                </Box>
                <Box id='mobile-inferior'>
                  <Box id='dente3' className='card-inferior-primeiro box-img-mobile' onClick={() => [window.location.href = '#/p16Mobile', Refresh(3)]}>
                    <img src={img4} alt='img4' />
                    <Typography variant='body1' className='legenda-mobile'>
                    Luxação Lateral
                    </Typography>
                  </Box>
                  <Box id='dente4' className='box-img-mobile' onClick={() => [window.location.href = '#/p20Mobile', Refresh(4)]}>
                    <img src={img5} alt='img5' />
                    <Typography variant='body1' className='legenda-mobile'>
                    Luxação Intrusiva
                    </Typography>
                  </Box>
                </Box>
              </Box>}
          </Box>
        </Content>
      </Box>
      <Footer important prev='/p2' next='/p15' />
    </StyledContainer>
  )
}
