import styled from 'styled-components'
import { Box } from '@material-ui/core'

import { containerstyles, contentstyles, fontstyles } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: block;
  @media(min-width: 900px){
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  

  ${contentstyles};

  img{
    max-width: 100%;
  }

  .content {
    display: block;
    @media(min-width: 900px) {
      display: flex;
      flex-grow: 1;
      justify-content: center;
      flex-direction: column;
    }
  }

  .text {
    margin-bottom: 1rem;
    padding: 1rem;
    border-radius: 15px;
    width: 100%;
    background: #BED8E9;

    @media(min-width: 900px) {
      width: 55vw;
      display: flex;
      align-self: center;
      align-items: center;
      flex-direction: column;
      margin-bottom: 1rem;
    }    
  }
  #menu-desktop{
    display: flex;
    justify-content: space-around;
    position: relative;
    width: 100%;

  }
  .box-img{
    width: 16%;
    border: 2px solid #BED8E9;
    border-radius: 15px;
    box-shadow: 4px 3px 5px rgba(0, 0, 0, 0.5);
    :hover{
      transform: scale(1.1);
      cursor: pointer;
    }
  }
  .legenda{
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 0 0 13px 13px;
    text-align: center;
    height: 5vh;
    background: #BED8E9;
    color: #236EB4;
  }

  /* MOBILE */
  #menu-mobile{
    display: block;
    overflow: hidden;
  }
  #mobile-superior{
    width: 100%;
    display: inline-block;
    margin-bottom: 2%;
    
  }
  .box-img-mobile{
    width: 31%;
    float: left;
    border: 2px solid #BED8E9;
    border-radius: 15px;
    box-shadow: 4px 3px 5px rgba(0, 0, 0, 0.5);
  }
  .legenda-mobile{
    text-align: center;
    height: 5vh;
    border-radius: 0 0 13px 13px;
    padding-top: 4%;
    background: #BED8E9;
    color: #236EB4;
  }
  .card-superior-meio{
    margin: 0 3%;
  }


  #mobile-inferior{
    display: inline-block;
    position: relative;
    left: 17%;
    
  }
  .card-inferior-primeiro{
    margin-right: 3%;
  }
  .visited{
    /* filter: contrast(50%); */
    -webkit-filter: contrast(50%);
    filter: contrast(50%);
  }

  #dente0{
    -webkit-filter: ${props => props.denteAtivo0 ? "contrast(50%)" : ''};
    filter: ${props => props.denteAtivo0 ? "contrast(50%)" : ''};
  }
  #dente1{
    -webkit-filter: ${props => props.denteAtivo1 ? "contrast(50%)" : ''};
    filter: ${props => props.denteAtivo1 ? "contrast(50%)" : ''};
  }
  #dente2{
    -webkit-filter: ${props => props.denteAtivo2 ? "contrast(50%)" : ''};
    filter: ${props => props.denteAtivo2 ? "contrast(50%)" : ''};
  }
  #dente3{
    -webkit-filter: ${props => props.denteAtivo3 ? "contrast(50%)" : ''};
    filter: ${props => props.denteAtivo3 ? "contrast(50%)" : ''};
  }
  #dente4{
    -webkit-filter: ${props => props.denteAtivo4 ? "contrast(50%)" : ''};
    filter: ${props => props.denteAtivo4 ? "contrast(50%)" : ''};
  }

`
