import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

import imagem from '../../assets/imagens/img1.png'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Box id='box-left'>
              <Typography variant='h6' id='title-left'>
                ACHADOS CLÍNICOS
              </Typography>
              <Typography variant='body1' id='content-left'>
                <span>•</span> O dente não apresentará deslocamento ou mobilidade.
              </Typography>
              <Typography variant='body1' id='content-left'>
                <span>•</span> O dente se torna sensível à mastigação e à percussão.
              </Typography>
              <Typography variant='body1' id='content-left'>
                <span>•</span> Em geral, respondem normalmente ao teste de sensibilidade pulpar térmico ou elétrico.
              </Typography>
            </Box>
            <Box id='box-middle'>
              <Typography variant='h6' id='title-middle'>
                Concussão
              </Typography>
              <Box id='img'>
                <img src={imagem} alt='concussão' />
              </Box>
            </Box>
            <Box id='box-right'>
              <Box id='right-sup'>
                <Typography variant='h6' id='title-right'>
                  ACHADOS RADIOGRÁFICOS
                </Typography>
                <Typography variant='body1' id='content-right'>
                  <span>•</span> Ausência de alterações radiográficas.
                </Typography>
              </Box>
              <Box id='right-inf'>
                <Typography variant='h6' id='title-right'>
                  TRATAMENTO
                </Typography>
                <Typography variant='body1' id='content-right'>
                  <span>•</span> Nenhum tratamento é necessário.
                </Typography>
                <Typography variant='body1' id='content-right'>
                  <span>•</span> Monitorar a vitalidade pulpar por pelo menos 1 ano.
                </Typography>
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' next='/p5' />
    </StyledContainer>
  )
}
