import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

export default function () {

  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Box className='panel'>
              <Box className='extended-content'>
                <Box className='header'>
                  <Typography variant='body1'>Acompanhamento</Typography>
                </Box>
                <Box className='topic'>
                  <Typography variant='body1' id='texto'>
                  Realizar exame clínico e radiográfico em:
                  </Typography>
                  <Typography variant='body1' id='texto'>
                    <span>•</span> 4 semanas
                  </Typography>
                  <Typography variant='body1' id='texto'>
                    <span>•</span> 6-8 semanas
                  </Typography>
                  <Typography variant='body1' id='texto'>
                    <span>•</span> 1 ano
                  </Typography>
                </Box>
              </Box>
            </Box>
            <Box className='panel2'>
              <Box className='extended-content'>
                <Box className='header'>
                  <Typography variant='body1'>Consultas de acompanhamento</Typography>
                </Box>
                <Box className='topic'>
                  <Typography variant='body1' id='frase'>
                  Verifique os prognósticos favoráveis e desfavoráveis de acordo com as ocorrências nas consultas de acompanhamento:
                  </Typography>
                  <Box id='box-content'>
                    <Box id='content-left'>
                      <Box>
                        <Typography variant='body1' id='textoAzul'>
                          Prognóstico Favorável:
                        </Typography>
                        <Typography variant='body1' id='texto'>
                          <span>•</span> Ausência de sintomatologia.
                        </Typography>
                        <Typography variant='body1' id='texto'>
                          <span>•</span> Resposta pulpar positiva ao teste de sensibilidade.
                        </Typography>
                        <Typography variant='body1' id='texto'>
                          <span>•</span> Falso negativo possível por pelo menos 3 meses.
                        </Typography>
                        <Typography variant='body1' id='texto'>
                          <span>•</span> Continuidade da formação radicular nos casos de dentes com rizogênese incompleta.
                        </Typography>
                        <Typography variant='body1' id='texto'>
                          <span>•</span> Integridade de lâmina dura.
                        </Typography>
                      </Box>
                    </Box>
                    <Box id='separador' />
                    <Box id='content-right'>
                      <Typography variant='body1' id='textoAzul'>
                        Prognóstico Desfavorável:
                      </Typography>
                      <Typography variant='body1' id='texto'>
                        <span>•</span> Presença de sintomatologia.
                      </Typography>
                      <Typography variant='body1' id='texto'>
                        <span>•</span> Resposta pulpar negativa aos testes de sensibilidade.
                      </Typography>
                      <Typography variant='body1' id='texto'>
                        <span>•</span> Falso negativo possível por pelo menos 3 meses.
                      </Typography>
                      <Typography variant='body1' id='texto'>
                        <span>•</span> Interrupção da formação radicular nos casos de dentes com rizogênese incompleta e sinais clínicos e radiográficos de lesão periapical.
                      </Typography>
                      <Typography variant='body1' id='texto'>
                        <span>•</span> Indicação de terapia endodôntica apropriada, de acordo com o estágio de desenvolvimento radicular.
                      </Typography>
                    </Box>
                  </Box>
                </Box>
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' prev='/p4'/>
    </StyledContainer>
  )
}
