import styled from "styled-components"
import { Box } from "@material-ui/core"

import {
  animationstyles,
  containerstyles,
  contentstyles,
  fontstyles,
} from "../../theme/commonstyles"

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${animationstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;

  ${contentstyles};

  .content {
    flex-grow: 1;
    @media(min-width: 900px){
      display: flex;
      flex-direction: column;
      align-items: center;
    }
    
  }

  #texto {
   margin-bottom: 0.5vh; 
  }
  #frase{
   margin-bottom: 1.5vh; 
  }

  .panel {
    display: block;

    @media (min-width: 900px) {
      flex-grow: 1;
      display: flex;
      flex-direction: column;
      width: 50%;
      margin-bottom: 0.5vh;
    }
  }
  .panel2{
    display: block;

    @media (min-width: 900px) {
      flex-grow: 1;
      display: flex;
      flex-direction: column;
      width: 100%;
    }
  }
  span{
    color: #236EB4;
    font-weight: bold;
  }

  .extended-content {
    background: #236EB4;
    display: flex;
    flex-direction: column;
    border: 2px solid #236EB4;
    border-radius: 1rem;
    height: fit-content;
    overflow: hidden;
  }

  .header,
  .topic {
    padding: 0.5rem;
    text-indent: 0.5rem;

  }

  .header {
    color: ${(props) => props.theme.palette.background.main};
    p {
      font-weight: 600;
    }
    @media(min-width: 900px){
      display: flex;
      justify-content: center;
    }
  }

  .topic {
    flex-grow: 1;
    background: ${(props) => props.theme.palette.background.main};
    min-height: 10vh;

    p {
      animation: fadeup 250ms;
    }
  }

  .buttons {
    display: flex;
    justify-content: space-evenly;

    @media (min-width: 900px) {
      justify-content: center;
    }
  }

  #box-content{
    @media(min-width: 900px){
      display: flex;
    } 
  }
  #content-left{
    width: 50%;
    display: flex;
    flex-direction: row;
    margin-right: 2vh;
    padding-right: 3vh;
  
  }
  #content-left::after{
    content: '';
    display: block;
    width: 2px;
    height: 100%;
    background: #236EB4;

  }
  #content-right{
    width: 50%;
  }
  #textoAzul{
    color: #236EB4;
    font-weight: 600;
    margin-bottom: 1vh;
  }

`
