import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

import imagem from '../../assets/imagens/img2.png'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Box id='box-left'>
              <Typography variant='h6' id='title-left'>
                ACHADOS CLÍNICOS
              </Typography>
              <Typography variant='body1' id='content-left'>
                <span>•</span> O dente apresentará sensibilidade à percussão
                 e mobilidade aumentada,
                 porém sem apresentar
                 deslocamento.
              </Typography>
              <Typography variant='body1' id='content-left'>
                <span>•</span> Você poderá observar
                 sangramento do sulco
                 gengival.
              </Typography>
              <Typography variant='body1' id='content-left'>
                <span>•</span> Testes de sensibilidade
                 pulpar podem ser inicialmente
                 negativos, indicando dano
                 pulpar transitório.
              </Typography>
              <Typography variant='body1' id='content-left'>
                <span>•</span> Monitorar a resposta pulpar
                 até que seja possível
                 estabelecer um diagnóstico
                 definitivo da condição pulpar.
              </Typography>
            </Box>
            <Box id='box-middle'>
              <Typography variant='h6' id='title-middle'>
                Subluxação
              </Typography>
              <Box id='img'>
                <img src={imagem} alt='concussão' />
              </Box>
            </Box>
            <Box id='box-right'>
              <Box id='right-sup'>
                <Typography variant='h6' id='title-right'>
                  ACHADOS RADIOGRÁFICOS
                </Typography>
                <Typography variant='body1' id='content-right'>
                  <span>•</span> Rotineiramente,
                   alterações radiográficas
                   não são encontradas.
                </Typography>
              </Box>
              <Box id='right-inf'>
                <Typography variant='h6' id='title-right'>
                  TRATAMENTO
                </Typography>
                <Typography variant='body1' id='content-right'>
                  <span>•</span> Normalmente, nenhum
                   tratamento é necessário.
                   No entanto, em caso de
                   mobilidade acentuada,
                   uma contenção flexível
                   para estabilizar o elemento
                   dentário e proporcionar
                   conforto ao paciente pode ser
                   indicada por até 2 semanas.
                </Typography>
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' next='/p7' />
    </StyledContainer>
  )
}
