import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Typography variant='h6' id='title'>
                Achados Radiográficos
            </Typography>
            <Typography variant='body1' id='texto'>
                Ausência de alterações radiográficas.
            </Typography>
          </Box>
          <Box className='content'>
            <Typography variant='h6' id='title'>
                Tratamento
            </Typography>
            <Typography variant='body1' id='texto'>
                  Nenhum tratamento é necessário.
              <br /><br />Monitorar a vitalidade pulpar por pelo
              <br />menos 1 ano.
            </Typography>
          </Box>
          <Box className='content content-3'>
            <Typography variant='h6' id='title'>
                Acompanhamento
            </Typography>
            <Typography variant='body1' id='texto'>
                  Realizar exame clínico e radiográfico em:
              <br />4 semanas
              <br />6-8 semanas
              <br />1 ano
            </Typography>
          </Box>
          <Box id='barras'>
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOn' id='barra-espaço' />
            <Box className='barra-inferior barraOff' />
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' prev='/p5Mobile' next='/p7Mobile' />
    </StyledContainer>
  )
}
