import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
            <Typography variant='h6' id='title'>
                Consultas de acompanhamento
            </Typography>
            <Typography variant='body1' id='texto'>
                  Verifique os prognósticos favoráveis e desfavoráveis de acordo com as ocorrên- cias nas consultas de acompanhamento:
              <br /><br /><span>Prognóstico Favorável:</span>
              <br /><span>•</span> Ausência de sintomatologia.
              <br /><span>•</span> Resposta pulpar positiva ao teste de sensibilidade.
              <br /><span>•</span> Falso negativo possível por pelo menos 3 meses.
              <br /><span>•</span> Continuidade da formação radicular nos casos de dentes com rizogênese incompleta.
              <br /><span>•</span> Integridade de lâmina dura.

              <br /><br /><span>Prognóstico Desfavorável:</span>
              <br /><span>•</span> Presença de sintomatologia.
              <br /><span>•</span> Resposta pulpar negativa aos testes de sensibilidade.
              <br /><span>•</span> Falso negativo possível por pelo menos 3 meses.
              <br /><span>•</span> Interrupção da formação radicular nos casos de dentes com rizogênese incompleta e sinais clínicos e radiográficos de lesão periapical.
              <br /><span>•</span> Indicação de terapia endodôntica apropriada, de acordo com o estágio de desenvolvimento radicular.

            </Typography>
            </Box>
          <Box id='barras'>
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOff' id='barra-espaço' />
            <Box className='barra-inferior barraOn' />
          </Box>
        </Content>
      </Box>
      <Footer prev='/p6Mobile' replay='/p3' />
    </StyledContainer>
  )
}
