import React from 'react'
import { Typography, Box } from '@material-ui/core'

import Header from '../../components/Header'
import Footer from '../../components/Footer'

import { Content, StyledContainer } from './styles'

import imagem from '../../assets/imagens/img3.png'

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className='container'>
        <Content>
          <Box className='content'>
          <Box id='box-right'>
              <Box id='right-sup'>
                <Typography variant='h6' id='title-right'>
                  ACHADOS CLÍNICOS
                </Typography>
                <Typography variant='body1' id='content-right'>
                  <span>•</span> O dente estará deslocado para fora do alvéolo e apresentará excessiva mobilidade.
                  <br /><br /><span>•</span> Tanto o suprimento neurovascular da polpa, como o ligamento periodontal são rompidos.
                  <br /><br /><span>•</span> Testes de sensibilidade pulpar normalmente com resposta negativa.
                </Typography>
              </Box>
              <Box id='right-inf'>
                <Typography variant='h6' id='title-right'>
                ACHADOS RADIOGRÁFICOS
                </Typography>
                <Typography variant='body1' id='content-right'>
                Aumento do espaço do ligamento periodontal apical.
                </Typography>
              </Box>
            </Box>
            <Box id='box-middle'>
              <Typography variant='h6' id='title-middle'>
              Luxação Extrusiva
              </Typography>
              <Box id='img'>
                <img src={imagem} alt='concussão' />
              </Box>
            </Box>
            <Box id='box-left'>
              <Typography variant='h6' id='title-left'>
              TRATAMENTO
              </Typography>
              <Typography variant='body1' id='content-left'>
              Reposicionar o dente, inserindo-o delicadamente no alvéolo.
                <br /><br />Estabilizar o dente por 2 semanas usando contenção flexível.
                <br /><br />O tratamento endodôntico é indicado em dentes com rizogênese completa ou incompleta, nos quais a necrose pulpar ocorre precocemente por rompimento do suprimento neurovascular da polpa ou quando os sinais e sintomas indicarem necrose pulpar.
              </Typography>
            </Box>
            
          </Box>
        </Content>
      </Box>
      <Footer replay='/p3' next='/p9' />
    </StyledContainer>
  )
}
